## org.hibernate.event
Class PostCollectionRecreateEvent

    java.lang.Object
      org.hibernate.event.AbstractEvent
          org.hibernate.event.AbstractCollectionEvent
              org.hibernate.event.PostCollectionRecreateEvent

All Implemented Interfaces:
  Serializable

    public class PostCollectionRecreateEvent

extends AbstractCollectionEvent

An event that occurs after a collection is recreated

Author:
  Gail Badner
See Also:
  Serialized Form

Constructor Summary
`PostCollectionRecreateEvent(CollectionPersister collectionPersister, PersistentCollection collection, EventSource source)`

Method Summary

Methods inherited from class org.hibernate.event.AbstractCollectionEvent
`getAffectedOwnerEntityName, getAffectedOwnerEntityName, getAffectedOwnerIdOrNull, getAffectedOwnerOrNull, getCollection, getLoadedCollectionPersister, getLoadedOwnerIdOrNull, getLoadedOwnerOrNull, getOwnerIdOrNull`

Methods inherited from class org.hibernate.event.AbstractEvent
`getSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PostCollectionRecreateEvent

    public PostCollectionRecreateEvent(CollectionPersister collectionPersister,
                                       PersistentCollection collection,
                                       EventSource source)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.